=== debian/changelog ===
aoflagger (2.9.0-1) unstable; urgency=low

  * New upstream version 2.9.0
  * Rediff patches
  * Mark Arch: any since upstream made it portable now

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Dec 2016 14:54:14 +0100

aoflagger (2.8.0-5) unstable; urgency=medium

  * Enable SSE on i386

 -- Ole Streicher <olebole@debian.org>  Sat, 03 Dec 2016 14:59:52 +0100

aoflagger (2.8.0-4) unstable; urgency=medium

  * Use portable settings to build
  * Sort out shared lib dependencies

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Oct 2016 10:13:53 +0200

aoflagger (2.8.0-3) unstable; urgency=low

  * Use libcfitsio-dev dependency. Closes: #841215

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Oct 2016 09:07:27 +0200

aoflagger (2.8.0-2) unstable; urgency=medium

  * Add static library
  * Limit to x86 architectures. Closes: #840016
  * Make uscan more restrictive to exclude path names in version number

 -- Ole Streicher <olebole@debian.org>  Tue, 18 Oct 2016 15:01:17 +0200

aoflagger (2.8.0-1) unstable; urgency=low

  * Initial release. Closes: #830120

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Sep 2016 09:14:11 +0200
