=== debian/watch ===
version=3
http://sf.net/aoflagger/aoflagger-(\d[0-9a-zA-Z._]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
