=== debian/changelog ===
aoflagger (2.10.0-2) unstable; urgency=low

  [ Gijs Molenaar ]
  * Add pow10 patch. Closes: #893272

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Mar 2018 15:08:04 +0100

aoflagger (2.10.0-1) unstable; urgency=low

  * New upstream version 2.10.0. Rediff patches
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. Change remaining URLs to https

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Feb 2018 21:31:49 +0100
