=== debian/control ===
--- 
+++ 
@@ -5,12 +5,15 @@
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: casacore-dev,
                cmake,
-               debhelper (>= 9),
+               debhelper (>= 11),
+               doxygen,
                gfortran,
+               graphviz,
                libblas-dev,
                libboost-date-time-dev,
                libboost-dev,
                libboost-filesystem-dev,
+               libboost-python-dev,
                libboost-signals-dev,
                libboost-system-dev,
                libboost-thread-dev,
@@ -19,12 +22,13 @@
                libgtkmm-3.0-dev,
                liblapack-dev,
                libpng-dev,
+               libpython-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/aoflagger.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/aoflagger.git
-Homepage: http://sourceforge.net/projects/aoflagger/
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian-astro-team/aoflagger.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/aoflagger
+Homepage: https://sourceforge.net/projects/aoflagger/
 
 Package: aoflagger
 Architecture: any
