=== debian/changelog ===
aoflagger (2.11.0-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:52:51 +0000

aoflagger (2.11.0-1) unstable; urgency=low

  * New upstream version 2.11.0. Rediff patches
  * Remove unused paragraph from d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 13 Jun 2018 11:12:52 +0200

aoflagger (2.10.0-3) unstable; urgency=medium

  * Remove outdated CheckCXXSymbolExists (Closes: #897115)
  * Push Standards-Version to 4.1.4. No changes needed.
  * Remove unneeded --parallel from d/rules
  * Mark aoflagger-dev as Multi-Arch: same as hinted

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Apr 2018 21:41:14 +0200
