## aoflagger 2.12.1

=== debian/changelog ===
aoflagger (2.12.1-2) unstable; urgency=medium

  * Use float-store=true instead of SSE on i386 (Closes: #908384)

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Sep 2018 10:55:18 +0200

aoflagger (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1. Closes: #908008
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Sep 2018 20:47:06 +0200

aoflagger (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0. Rediff patches
  * Push Standards-Version to 4.2.1. Change remaining URLs to https

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Sep 2018 17:44:57 +0200
