## aoflagger 2.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 
 find_package(PkgConfig)
 pkg_check_modules(GTKMM gtkmm-3.0>=3.0.0)
-pkg_check_modules(GLIBMM glibmm-2.4)
 pkg_check_modules(SIGCXX sigc++-2.0)
 
 SET(CASACORE_MAKE_REQUIRED_EXTERNALS_OPTIONAL TRUE)
@@ -28,7 +27,14 @@
 find_package(PNG REQUIRED)
 #Prevent accidentally finding old BoostConfig.cmake file from casapy
 set(Boost_NO_BOOST_CMAKE ON)
+#set(PY_VERSION 3)
+#find_package(PythonLibs ${PY_VERSION} REQUIRED)
+find_package(PythonInterp REQUIRED)
+#find_package(PythonLibs ${PYTHON_VERSION_STRING} REQUIRED)
+find_package(PythonLibs 2.7 REQUIRED)
+#message(STATUS "Using python version ${PYTHON_VERSION_STRING}")
 find_package(Boost REQUIRED COMPONENTS date_time filesystem python signals system)
+#find_package(Boost REQUIRED COMPONENTS date_time filesystem python-py36 signals system)
 find_library(FFTW3_LIB fftw3 REQUIRED)
 enable_language(Fortran OPTIONAL)
 find_package(BLAS REQUIRED)
@@ -37,7 +43,6 @@
   find_library(RT_LIBRARY rt)
 #  list(APPEND LOFAR_EXTRA_LIBRARIES ${RT_LIBRARY})
 endif(CMAKE_SYSTEM_NAME MATCHES "Linux")
-find_package(PythonLibs 2.7 REQUIRED)
 
 include_directories(${CASACORE_INCLUDE_DIRS})
 include_directories(${Boost_INCLUDE_DIR})
