=== src/CMakeLists.txt ===
--- 
+++ 
@@ -50,8 +50,6 @@
   link_libraries(${GSL_LIB} ${GSL_CBLAS_LIB})
   message(STATUS "GSL found.")
 endif(GSL_LIB AND GSL_CBLAS_LIB AND GSL_INCLUDE_DIR)
-
-add_executable(rficonsole rficonsole.cpp)
 
 set(AOQPLOT_FILES
   aoqplot/aoqplotwindow.cpp
@@ -72,6 +70,7 @@
   plot/colorscale.cpp
   plot/heatmapplot.cpp
   plot/horizontalplotscale.cpp
+  plot/legend.cpp
   plot/plot2d.cpp
   plot/plotpropertieswindow.cpp
   plot/title.cpp
@@ -84,7 +83,6 @@
   rfigui/editstrategywindow.cpp
   rfigui/gotowindow
   rfigui/highlightwindow.cpp
-  rfigui/imagecomparisonwidget.cpp
   rfigui/imageplanewindow
   rfigui/imagepropertieswindow.cpp
   rfigui/heatmapwidget.cpp
@@ -146,11 +144,12 @@
   strategy/actions/plotaction.cpp
   strategy/actions/saveheatmapaction.cpp
   strategy/actions/slidingwindowfitaction.cpp
-  strategy/actions/statisticalflagaction.cpp
+  strategy/actions/morphologicalflagaction.cpp
   strategy/actions/strategy.cpp
   strategy/actions/svdaction.cpp
   strategy/actions/timeconvolutionaction.cpp
   strategy/actions/timeselectionaction.cpp
+  strategy/actions/visualizeaction.cpp
   strategy/actions/writeflagsaction.cpp)
 
 set(STRATEGY_ALGORITHMS_FILES
@@ -165,8 +164,9 @@
   strategy/algorithms/localfitmethod.cpp
   strategy/algorithms/morphology.cpp
   strategy/algorithms/sinusfitter.cpp
-  strategy/algorithms/statisticalflagger.cpp
+  strategy/algorithms/morphologicalflagger.cpp
   strategy/algorithms/sumthreshold.cpp
+  strategy/algorithms/sumthresholdmissing.cpp
   strategy/algorithms/svdmitigater.cpp
   strategy/algorithms/testsetgenerator.cpp
   strategy/algorithms/thresholdconfig.cpp
@@ -304,8 +304,7 @@
 endif(GTKMM_FOUND)
 
 add_executable(aoflagger-bin aoflagger.cpp)
-set_target_properties(aoflagger-bin
-  PROPERTIES OUTPUT_NAME aoflagger)
+set_target_properties(aoflagger-bin PROPERTIES OUTPUT_NAME aoflagger)
 
 add_executable(msinfo msinfo.cpp)
 
@@ -319,7 +318,7 @@
 add_test(aotest aotest)
 add_custom_target(check COMMAND aotest DEPENDS aotest)
 
-install (TARGETS rficonsole aoflagger-bin DESTINATION bin)
+# Installation commands
 if(GTKMM_FOUND)
 	install (TARGETS rfigui aoqplot DESTINATION bin)
 endif(GTKMM_FOUND)
@@ -328,5 +327,6 @@
 	install (TARGETS aoquality aoremoteclient DESTINATION bin)
 endif(BOOST_ASIO_H_FOUND AND SIGCXX_FOUND AND GTKMM_FOUND)
 
+install (TARGETS aoflagger-bin DESTINATION bin)
 install (TARGETS aoflagger DESTINATION lib) 
 install (FILES interface/aoflagger.h DESTINATION include)
