=== debian/changelog ===
aoflagger (2.13.0-1) unstable; urgency=low

  * New upstream version 2.13.0

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Nov 2018 13:31:16 +0100
