=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libpython-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aoflagger.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aoflagger
 Homepage: https://sourceforge.net/projects/aoflagger/
@@ -66,6 +66,7 @@
 
 Package: aoflagger-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libaoflagger0 (= ${binary:Version}),
          ${misc:Depends},
