=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
-    export DEB_CXXFLAGS_MAINT_APPEND = -msse -msse2 -mfpmath=sse
+    export DEB_CXXFLAGS_MAINT_APPEND = -ffloat-store
 endif
 
 CMAKE_FLAGS += -DDEB_BUILD_MULTIARCH=`dpkg-architecture -qDEB_BUILD_MULTIARCH` -DPORTABLE=yes
