## aoflagger 2.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,8 +33,9 @@
 #find_package(PythonLibs ${PYTHON_VERSION_STRING} REQUIRED)
 find_package(PythonLibs 2.7 REQUIRED)
 #message(STATUS "Using python version ${PYTHON_VERSION_STRING}")
-find_package(Boost REQUIRED COMPONENTS date_time filesystem python signals system)
-#find_package(Boost REQUIRED COMPONENTS date_time filesystem python-py36 signals system)
+# At least the intrusive_ref_counter needs Boost 1.55 (because the header was moved)
+find_package(Boost 1.55.0 REQUIRED COMPONENTS date_time filesystem python system)
+#find_package(Boost REQUIRED COMPONENTS date_time filesystem python-py36 system)
 find_library(FFTW3_LIB fftw3 REQUIRED)
 enable_language(Fortran OPTIONAL)
 find_package(BLAS REQUIRED)
