=== debian/changelog ===
aoflagger (2.14.0-2ubuntu2) focal; urgency=medium

  * Fix up boost numpy/python detection.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 13:31:36 +0000

aoflagger (2.14.0-2ubuntu1) focal; urgency=medium

  * Drop unused boost-signals dependency, package is ported to signals2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 12:58:21 +0000

aoflagger (2.14.0-2build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:52:26 +0000

aoflagger (2.14.0-2build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:01:31 +0000

aoflagger (2.14.0-2build1) focal; urgency=medium

  * No-change upload for casacore soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2020 14:00:35 +0000

aoflagger (2.14.0-2) unstable; urgency=low

  * Switch to Python 3. (Closes: #936122)

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 13:45:18 +0200

aoflagger (2.14.0-1) unstable; urgency=low

  * New upstream version 2.14.0. Rediff patches
  * Push Standards-Version to 4.4.0. No changes required.
  * Push compat to 12; switch to debhelper-compat

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jul 2019 00:50:27 +0200
