=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: aoflagger
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: casacore-dev,
                cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                doxygen,
                gfortran,
                graphviz,
@@ -13,19 +14,19 @@
                libboost-date-time-dev,
                libboost-dev,
                libboost-filesystem-dev,
+               libboost-numpy-dev,
                libboost-python-dev,
-               libboost-signals-dev,
                libboost-system-dev,
                libboost-thread-dev,
-               libcfitsio-dev | libcfitsio3-dev,
+               libcfitsio-dev,
                libfftw3-dev,
                libgtkmm-3.0-dev,
                liblapack-dev,
                libpng-dev,
-               libpython-dev,
+               libpython3-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aoflagger.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aoflagger
 Homepage: https://sourceforge.net/projects/aoflagger/
